<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.order.mapper.TOrderFileSyncLogMapper">

	<resultMap id="tOrderFileSyncLogMap" type="com.yifu.cloud.plus.v1.yifu.order.entity.TOrderFileSyncLog">
		<id property="id" column="id"/>
		<result property="orderNo" column="order_no"/>
		<result property="attIds" column="att_ids"/>
		<result property="reason" column="reason"/>
		<result property="createTime" column="create_time"/>
		<result property="flag" column="flag"/>
		<result property="updateTime" column="update_time"/>
	</resultMap>
	<sql id="Base_Column_List">
		a.id,
		a.order_no,
		a.att_ids,
		a.reason,
		a.create_time,
		a.flag,
		a.update_time
	</sql>
	<sql id="tOrderFileSyncLog_where">
		<if test="tOrderFileSyncLog != null">
			<if test="tOrderFileSyncLog.id != null and tOrderFileSyncLog.id.trim() != ''">
				AND a.id = #{tOrderFileSyncLog.id}
			</if>
			<if test="tOrderFileSyncLog.orderNo != null and tOrderFileSyncLog.orderNo.trim() != ''">
				AND a.order_no = #{tOrderFileSyncLog.orderNo}
			</if>
			<if test="tOrderFileSyncLog.attIds != null and tOrderFileSyncLog.attIds.trim() != ''">
				AND a.att_ids = #{tOrderFileSyncLog.attIds}
			</if>
			<if test="tOrderFileSyncLog.reason != null and tOrderFileSyncLog.reason.trim() != ''">
				AND a.reason = #{tOrderFileSyncLog.reason}
			</if>
			<if test="tOrderFileSyncLog.createTime != null">
				AND a.create_time = #{tOrderFileSyncLog.createTime}
			</if>
			<if test="tOrderFileSyncLog.flag != null and tOrderFileSyncLog.flag.trim() != ''">
				AND a.flag = #{tOrderFileSyncLog.flag}
			</if>
			<if test="tOrderFileSyncLog.updateTime != null">
				AND a.update_time = #{tOrderFileSyncLog.updateTime}
			</if>
		</if>
	</sql>
	<!--tOrderFileSyncLog简单分页查询-->
	<select id="getTOrderFileSyncLogPage" resultMap="tOrderFileSyncLogMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM t_order_file_sync_log a
		<where>
			1=1
			<include refid="tOrderFileSyncLog_where"/>
		</where>
	</select>
</mapper>
